; _Ps Codice

; Include "HJConst.JSH"; file costanti predefinito di Jaws
Include "_PsConst.JSH"; File personale delle costanti
Include "_PsGlobals.JSH"; file personale delle variabili globali
Include "_PsMessages.JSM"; File personale dei messaggi

Script InserisceFirma ()
SayMessage (OT_ERROR, INIZIO_PERSONALE); legge l'etichetta
TypeString (INIZIO_PERSONALE); scrive l'etichetta nel documento
EnterKey (); simula la pressione di Invio, per creare una riga vuota,
EnterKey (); e poi ne crea un'altra
Refresh (); resetta la schermata
SayLine (); legge la riga
EndScript

Script MuoveElementoSuccessivo ()
{F2}; richiama il comando originale
Refresh (); resetta la schermata
SayLine (); legge la riga corrente
EndScript

Script MuoveElementoPrecedente ()
{Shift+F2}; richiama il comando originale
Refresh (); resetta la schermata
SayLine (); legge la riga corrente
EndScript

Script TrovaTesto ()
SpeechOff (); spegne la sintesi
PerformScript SalvaContrassegno (); esegue lo script per salvare la posizione del cursore
SpeechOn (); riattiva la sintesi
TypeCurrentScriptKey (); passa i tasti premuti all'applicazione
EndScript

Script SelezionaDalContrassegno ()
PerformScript SelectTextBetweenMarkedPlaceAndCurrentPosition (); esegue lo script nativo
EndScript

Script SalvaContrassegno ()
PerformScript DefineATempPlaceMarker (); esegue lo script nativo
EndScript

Script SostituisceTesto ()
TypeCurrentScriptKey (); ripete i tasti di attivazione dello script
EndScript

Script DataOra ()
Var
Int iOre, ; ore rimanenti alla mezzanotte
Int iMinuti, ; minuti mancanti all'ora successiva
String sOre; messaggio testuale sul tempo rimanente

SayMessage (OT_ERROR, SysGetDate (msgDataEstesa)); pronuncia la data,
SayMessage (OT_ERROR, SysGetTime (msgOraEstesa)); e legge anche l'orario
Let iOre = 24 - (StringToInt (SysGetTime ("H")) + 1); calcola le ore alla mezzanotte,
Let iMinuti = 60 - StringToInt (SysGetTime ("m")); poi calcola anche i minuti rimanenti
Let sOre = FormatString ( ; compone il messaggio, specificando:
msgMezzanotte, ; parametro1, il messaggio creato con i due segnaposti numerati,
iOre, ; parametro2, il dato sulle ore, da sostituire al segnaposto %1,
iMinuti); parametro3, il dato sui minuti, da sostituire al segnaposto %2
SayMessage (OT_ERROR, sOre); legge il messaggio formattato
EndScript

Script AvviaCronometro ()
Var String sMessaggio; l'avviso formattato
Let gnTempoIniziale = GetTickCount (); registra i millisecondi trascorsi dall'avvio
Let sMessaggio = FormatString ( ; formatta l'avviso da leggere
msgOraAvvio, ; parametro1, il messaggio base
SysGetTime ()); parametro2, l'ora da inserire nell'avviso
SayMessage (OT_ERROR, sMessaggio); legge l'avviso formattato
Beep (); emette un segnale acustico
EndScript

Script TempoTrascorso ()

Var
Int iValore, ; il tempo trascorso in millisecondi
Int iSecondi, ; i secondi trascorsi
String sUltimaParte, ; la parte finale dei millisecondi convertiti in testo
String sCentesimi, ; la stringa con i centesimi di secondo
String sMessaggio; l'avviso formattato

Let iValore = GetTickCount () - gnTempoIniziale; sottrae il tempo di partenza all'attuale
Let iSecondi = iValore / 1000; converte il valore in secondi
Let sUltimaParte = StringRight (IntToString (iValore), 3); estrae le tre cifre a destra
Let sCentesimi = StringLeft (sUltimaParte, 2); preleva le prime due cifre a sinistra
Let sMessaggio = FormatString ( ; formatta l'avviso con i valori rilevati
msgBaseTempo, ; parametro1, messaggio base
iSecondi, ; parametro2, valore in secondi da inserire
sCentesimi); parametro3, centesimi in forma testuale
SayMessage (OT_ERROR, sMessaggio); legge l'avviso formattato
EndScript

